import express from 'express';

import { finalErrorHandler, logger, render } from 'server/middlewares';
import router from 'server/router';

const app = express();

app.disable('x-powered-by')
    .enable('trust proxy')
    .use(render)
    .use(logger)
    .use(router)
    .use(finalErrorHandler);

export default app;
