import yastaticCspPreset from '@yandex-int/csp-preset-yastatic';
import { Presets } from '@yandex-int/express-yandex-csp';

import coreCspPreset from './presets/core';
import dataUriCspPreset from './presets/data-uri';
import manifestCspPreset from './presets/manifest';
import mdsCspPreset from './presets/mds';
import metrikaCspPreset from './presets/metrika';
import webvisorCspPreset from './presets/webvisor';

const presets: Presets = [
    coreCspPreset,
    dataUriCspPreset,
    manifestCspPreset,
    mdsCspPreset,
    metrikaCspPreset,
    webvisorCspPreset,
    yastaticCspPreset.font,
    yastaticCspPreset.frame,
    yastaticCspPreset.image,
    yastaticCspPreset.script,
    yastaticCspPreset.style
];

export default presets;
